6.0.0-git
2019-03-24

[#8799] Weekly recurring events don't propagate past year-end
Summary Weekly recurring events don't propagate past year-end
Queue Kronolith
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester mrubinsk (at) horde (dot) org
Created 2009-12-23 (3378 days ago)
Due
Updated 2010-06-07 (3212 days ago)
Assigned 2010-03-09 (3302 days ago)
Resolved 2010-06-07 (3212 days ago)
Milestone
Patch No

History
2010-06-07 14:19:52 Michael Rubinsky State ⇒ Resolved
 
2010-06-07 13:50:17 Michael Rubinsky Comment #7
Taken from Horde DevelopersHorde Developers
Taken from Gunnar Wrobel
Reply to this comment
Fixed. Updated unit tests to come.
2010-06-07 13:49:27 Git Commit Comment #6 Reply to this comment
2010-03-09 22:08:55 Michael Rubinsky Comment #5 Reply to this comment
Correct, the problem was only in Git...
2010-03-09 20:36:11 Gunnar Wrobel Comment #4 Reply to this comment
Thanks for the test events. I imported both into a kronolith-2.3.3 
system and both events propagate fine through january 2011. I 
currently do not have HEAD running with a Kolab server which I'd like 
to have before retesting the issue with HEAD. I hope to complete the 
installation/fixes this week.

2010-03-09 14:01:55 Michael Rubinsky Comment #3
State ⇒ Assigned
Reply to this comment
Just realized that the events only stop showing for Jan 2011, but then 
resume showing up in Feb 2011.  Maybe something related to number of 
weeks or possibly the ISO-8601 date actually being in december? (Just 
grabbing at straws based on previous work with Horde_Date)
2010-03-09 13:53:55 Michael Rubinsky New Attachment: Weekly Recurring All-Day Event Test.ics Download
 
2010-03-09 13:53:35 Michael Rubinsky New Attachment: Weekly Recurring, One Hour, Event Test.ics Download
 
2010-03-09 05:49:08 Gunnar Wrobel State ⇒ Feedback
 
2010-03-09 05:48:29 Gunnar Wrobel Comment #2 Reply to this comment
If an occurrence of a weekly recurring event falls on the last day 
of the year, the event fails to propagate into the next year.
Sorry for the late response. I tested this now and was unable to 
reproduce this.

Test events:

  - Event starting 24.12.2009, recurring weekly on Thursday, no end
  - Event starting 24.12.2009, recurring weekly on Thursday, 8 times
  - Event starting 17.12.2009, recurring every second week on Thursday, 4 times
  - Event starting 21.12.2009, recurring every week on Monday, 
Thursday, and Sunday, 10 times

And one to test the beginning of the year:

  - Event starting 25.12.2009, recurring weekly on Friday, no end

Can you export the problematic event as iCal and attach it?
2009-12-23 20:51:14 Michael Rubinsky Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Weekly recurring events don't propagate past year-end
Queue ⇒ Kronolith
Assigned to Gunnar Wrobel
Assigned to Michael Rubinsky
Assigned to Horde DevelopersHorde Developers
Milestone ⇒
Patch ⇒ No
Reply to this comment
If an occurrence of a weekly recurring event falls on the last day of 
the year, the event fails to propagate into the next year.

Saved Queries